From b22b7d4449e3e0f0c7a8a48d140a8025cf4ca91d Mon Sep 17 00:00:00 2001
From: sebastiii <sebastiii@team-mediaportal.com>
Date: Tue, 25 Jun 2013 19:49:08 +0200
Subject: [PATCH] Override D3D when using XP.

---
 mediaportal/MediaPortal.Application/D3D.cs | 11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)

diff --git a/mediaportal/MediaPortal.Application/D3D.cs b/mediaportal/MediaPortal.Application/D3D.cs
index 8588a54..29bc95b 100644
--- a/mediaportal/MediaPortal.Application/D3D.cs
+++ b/mediaportal/MediaPortal.Application/D3D.cs
@@ -1127,10 +1127,15 @@ namespace MediaPortal
       else
       {
         Log.Info("D3D: Creating DirectX9 device");
+        if (!OSInfo.OSInfo.Win7OrLater())
+        {
+          // Override and do not use 'CreateFlags.PureDevice'
+          _createFlags = CreateFlags.HardwareVertexProcessing;
+        }
         GUIGraphicsContext.DX9Device = new Device(AdapterInfo.AdapterOrdinal,
-                                                  DeviceType.Hardware, 
-                                                  _renderTarget,
-                                                  CreateFlags.HardwareVertexProcessing | CreateFlags.MultiThreaded | CreateFlags.FpuPreserve,
+                                                  _deviceType, 
+                                                  _renderTarget,
+                                                  _createFlags | CreateFlags.MultiThreaded | CreateFlags.FpuPreserve,
                                                   _presentParams);
       }
 
-- 
1.8.0.msysgit.0

